package com.burtbeckwith.binaryartifacts.test

// name has to end in Controller like regular controllers
class BinaryController {

	def barService
	def fooService

	def index = {}

	def tagTest = {}

	def misc = {

		def content = new StringBuilder()

		// test metaclass addition
		content.append "bark test: ${'cat'.bark()}<br/><br/>"

		// test nontransactional barService
		content.append "barService.add(123, 234) = ${barService.add(123, 234)}<br/><br/>"

		// test transactional fooService
		def author = fooService.createAuthor("author${System.currentTimeMillis()}")
		content.append "new author: $author.name; "
		content.append "book: ${author.books.iterator().next().title}<br/><br/>"

		// test calling taglib from controller
		def tagTestContent = binary.theTag(foo: 'bar')
		content.append "tagTestContent: $tagTestContent<br/><br/>"

		// test codec
		content.append "Reverse codec: ${'foo'.encodeAsReverse()}<br/><br/>"

		render content.toString()
	}
}
