package com.burtbeckwith.binaryartifacts.test

import javax.servlet.ServletContextEvent
import javax.servlet.ServletContextListener
import javax.servlet.http.HttpSessionEvent
import javax.servlet.http.HttpSessionListener

// registered in PluginStub.doWithWebDescriptor
class ContextListener implements ServletContextListener, HttpSessionListener {

	void contextInitialized(ServletContextEvent event) {
		println "\n\nBinary Artifacts Test app startup\n\n"
	}

	void contextDestroyed(ServletContextEvent event) {
		println "\n\nBinary Artifacts Test app shutdown\n\n"
	}

	void sessionCreated(HttpSessionEvent event) {
		println "\n\nNew session $event.session.id\n\n"
	}

	void sessionDestroyed(HttpSessionEvent event) {
		println "\n\nDestroyed session $event.session.id\n\n"
	}
}
